import * as plugins from './dees-element.plugins';



export class DeesElement extends plugins.litElement.LitElement {

  public goBright: boolean = false;
  public domtoolsPromise = plugins.domtools.elementBasic.setup(this);

  public connectedCallback() {
    super.connectedCallback();
    this.dispatchEvent(new CustomEvent('domtools-connected'));
  }

  public disconnectedCallback() {
    super.disconnectedCallback();
    this.dispatchEvent(new CustomEvent('domtools-disconnected'));
  }
}